Bug 253314 - CVE-2007-3740 CIFS should honor umask
CVE-2007-3740 CIFS should honor umask
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Martin Jenner
impact=important,source=redhat,report...
: Security
Depends On:
Blocks: CVE-2007-3740
  Show dependency treegraph
 
Reported: 2007-08-17 16:05 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0705
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 05:13:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-08-17 16:05:51 EDT
CIFS apparently does not currently honor the umask for a task. There's an
upstream patch to make it do so:

commit 3ce53fc4c57603d99c330a6ee2fe96d94f2d350f
Author: Steve French <sfrench@us.ibm.com>
Date:   Fri Jun 8 14:55:14 2007 +0000

    [CIFS] CIFS should honour umask
    
    This patch makes CIFS honour a process' umask like other filesystems.
    Of course the server is still free to munge the permissions if it wants
    to; but the client will send the "right" permissions to begin with.
    
    A few caveats:
    
    1) It only applies to filesystems that have CAP_UNIX (aka support unix
    extensions)
    2) It applies the correct mode to the follow up CIFSSMBUnixSetPerms()
    after remote creation
    
    When mode to CIFS/NTFS ACL mapping is complete we can do the
    same thing for that case for servers which do not
    support the Unix Extensions.
    
    Signed-off-by: Matt Keenen <matt@opcode-solutions.com>
    Signed-off-by: Steve French <sfrench@us.ibm.com>
Comment 1 Don Howard 2007-08-29 15:29:59 EDT
A patch for this issue has been included in build 2.6.18-8.1.9.
Comment 4 Red Hat Bugzilla 2007-09-13 05:13:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0705.html

Note You need to log in before you can comment on or make changes to this bug.